summaryrefslogtreecommitdiff
path: root/configs/profile/root-image/root/customize_root_image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'configs/profile/root-image/root/customize_root_image.sh')
-rwxr-xr-xconfigs/profile/root-image/root/customize_root_image.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/configs/profile/root-image/root/customize_root_image.sh b/configs/profile/root-image/root/customize_root_image.sh
index 32bca8b..8c2c066 100755
--- a/configs/profile/root-image/root/customize_root_image.sh
+++ b/configs/profile/root-image/root/customize_root_image.sh
@@ -39,8 +39,8 @@ then # delete files that are specific to other init systems
for service in ${OPENRC_SERVICES} ; do rc-update add ${service} default ; done ;
# create the 'dbus' group and user if they do not exist
- if ! grep 'dbus' /etc/group > /dev/null ; then groupadd -g 81 dbus ; fi ;
- if ! grep 'dbus' /etc/passwd > /dev/null ; then useradd -r -s /sbin/nologin -u 81 -g 81 dbus ; fi ;
+ if ! grep -q 'dbus' /etc/group ; then groupadd -g 81 dbus ; fi ;
+ if ! grep -q 'dbus' /etc/passwd ; then useradd -r -s /sbin/nologin -u 81 -g 81 dbus ; fi ;
elif [[ "${ISO_INIT}" == 'systemd' ]]
then # delete files that are specific to other init systems